Run of fresh-snapshots for flake8-comprehensions

Try this locally package):


git clone  flake8-comprehensions
cd flake8-comprehensions
ogni dist

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
[2022-05-14 08:43:57] Opening branch at https://salsa.debian.org/python-team/packages/flake8-comprehensions.git/,branch=master
[2022-05-14 08:43:58] Using cached branch https://janitor.debian.net/git/flake8-comprehensions/,branch=debian%2Flatest
[2022-05-14 08:43:58] Using resume branch: https://janitor.debian.net/git/flake8-comprehensions,branch=fresh-snapshots%2Fmain
[2022-05-14 08:43:59] 9% (20/212)
[2022-05-14 08:43:59] Total 232 (delta 73), reused 109 (delta 0), pack-reused 0
[2022-05-14 08:44:01] Total 20 (delta 7), reused 0 (delta 0), pack-reused 0
[2022-05-14 08:44:02] All changes applied successfully.
[2022-05-14 08:44:02] Total 38 (delta 25), reused 23 (delta 10), pack-reused 0
[2022-05-14 08:44:02] 
[2022-05-14 08:44:02] restarting branch
[2022-05-14 08:44:02] Total 38 (delta 25), reused 23 (delta 10), pack-reused 0
[2022-05-14 08:44:04] All changes applied successfully.
[2022-05-14 08:44:04] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-05-14 08:44:05] Workspace ready - starting.
[2022-05-14 08:44:05] Running ['deb-new-upstream', '--snapshot', '--refresh-patches']
[2022-05-14 08:44:05] Assuming changelog does not need to be updated, since changelog entries are usually updated in separate commits.
Using upstream branch https://github.com/adamchainz/flake8-comprehensions.git (from configuration)
Total 2008 (delta 395), reused 593 (delta 379), pack-reused 1391
Using version string 3.9.0+git20220513.1.0ab10d2.
No upstream upstream-revision format specified, trying tag:3.9.0
Not including upstream history, since previous upstream version (3.9.0) is not present in packaging branch history.
Looking for upstream 3.9.0+git20220513.1.0ab10d2 in upstream branch <RemoteGitBranch('https://github.com/adamchainz/flake8-comprehensions.git/', 'main')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitor6lyqewjq/flake8-comprehensions/debian
Opened schroot session unstable-amd64-sbuild-be30c23f-e73f-4c9a-866d-7549f045a98e (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n               dh-sequence-python3,\n               python3-all,\n               python3-flake8,\n               python3-pytest,\n               python3-setuptools']
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]
Loading apt contents information
Traceback (most recent call last):
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 131, in load_direct_url
    response = urlopen(request)
  File "/usr/lib/python3.9/urllib/request.py", line 214, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.9/urllib/request.py", line 523, in open
    response = meth(req, response)
  File "/usr/lib/python3.9/urllib/request.py", line 632, in http_response
    response = self.parent.error(
  File "/usr/lib/python3.9/urllib/request.py", line 561, in error
    return self._call_chain(*args)
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.9/urllib/request.py", line 641, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 403: Forbidden

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/code/janitor/dist.py", line 171, in <module>
    dist(session, export_directory, reldir, target_dir)
  File "/code/ognibuild/ognibuild/dist.py", line 114, in dist
    return run_dist(session, buildsystems, resolver, fixers, target_dir)
  File "/code/ognibuild/ognibuild/dist.py", line 57, in run_dist
    filename = buildsystem.dist(
  File "/code/ognibuild/ognibuild/buildsystem.py", line 451, in dist
    self._run_setup(session, resolver, preargs + ["sdist"], fixers)
  File "/code/ognibuild/ognibuild/buildsystem.py", line 498, in _run_setup
    install_missing_reqs(session, resolver, list(self._setup_requires()))
  File "/code/ognibuild/ognibuild/buildlog.py", line 362, in install_missing_reqs
    resolver.install(missing)
  File "/code/ognibuild/ognibuild/resolver/__init__.py", line 532, in install
    sub.install(requirements)
  File "/code/ognibuild/ognibuild/resolver/apt.py", line 874, in install
    apt_req = self.resolve(m)
  File "/code/ognibuild/ognibuild/resolver/apt.py", line 905, in resolve
    ret = resolve_requirement_apt(self.apt, req)
  File "/code/ognibuild/ognibuild/resolver/apt.py", line 826, in resolve_requirement_apt
    ret = rr_fn(apt_mgr, req)
  File "/code/ognibuild/ognibuild/resolver/apt.py", line 704, in resolve_python_package_req
    return get_package_for_python_package(
  File "/code/ognibuild/ognibuild/resolver/apt.py", line 243, in get_package_for_python_package
    names = find_package_names(apt_mgr, paths, regex=True, case_insensitive=True)
  File "/code/ognibuild/ognibuild/resolver/apt.py", line 163, in find_package_names
    return apt_mgr.get_packages_for_paths(paths, regex, case_insensitive)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 111, in get_packages_for_paths
    paths, self.searchers(), regex=regex, case_insensitive=case_insensitive
  File "/code/ognibuild/ognibuild/debian/apt.py", line 86, in searchers
    get_apt_contents_file_searcher(self.session),
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 234, in get_apt_contents_file_searcher
    return RemoteContentsFileSearcher.from_session(session)
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 246, in from_session
    self.load_from_session(session)
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 290, in load_from_session
    self._load_urls(urls, cache_dirs, load_url)
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 295, in _load_urls
    f = load_url(url)
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 285, in load_url
    return load_url_with_cache(url, cache_dirs)
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 152, in load_url_with_cache
    return load_direct_url(url)
  File "/code/ognibuild/ognibuild/debian/file_search.py", line 135, in load_direct_url
    raise AptFileAccessError(
ognibuild.debian.file_search.AptFileAccessError: Unable to access apt URL http://deb.debian.org/debian/dists/unstable/main/Contents-all.gz: HTTP Error 403: Forbidden
Command 'SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitor6lyqewjq/flake8-comprehensions/debian' returned non-zero exit status 1.

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far. not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 7aec9b17-ec2f-4aa5-91fb-19c52838a6bf is working

Full worker log